Package javassist.runtime

# Class Cflow

java.lang.Object
java.lang.ThreadLocal<javassist.runtime.Cflow.Depth>
javassist.runtime.Cflow

public class Cflow extends ThreadLocal<javassist.runtime.Cflow.Depth>
A support class for implementing `$cflow`. This support class is required at runtime only if `$cflow` is used.

See Also:
  - `CtBehavior.useCflow(String)`

## Constructor Summary

Constructors
Constructor
Description
`Cflow()`

## Method Summary

Modifier and Type
Method
Description
`void`
`enter()`
Increments the counter.
`void`
`exit()`
Decrements the counter.
`int`
`value()`
Returns the value of the counter.

### Methods inherited from class java.lang.ThreadLocal

`get, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cflow

public Cflow()

## Method Details

### enter

public void enter()
Increments the counter.

### exit

public void exit()
Decrements the counter.

### value

public int value()
Returns the value of the counter.